	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour8")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -180.00)
	call psetr("subpage_upper_right_longitude", 180.00)
	call psetr("subpage_upper_right_latitude", 90.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -90.00)

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_grid_colour')
	call preset('map_grid')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call psetc("grib_input_file_name", "Total_precipitation.grib")
	call pgrib

	call preset('grib_input_file_name')

	call psetc("contour_automatic_setting", "ecchart")
	call pcont

	call preset('contour_automatic_setting')

	call pset1c("text_lines", (/"<font size='1'>Choose eccharts styling depending on the parameter</font>            ",&
		"Here: ecchart for parameter <grib_info key='name'/> at  <grib_info key='level'/> hPa",&
		"<font colour='evergreen'>contour_automatic_setting=ecchart</font>                   "/), 3)
	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
